%{?nodejs_find_provides_and_requires}
%global enable_tests 1
Name:                nodejs-concat-stream
Version:             1.6.0
Release:             1
Summary:             Writable stream that concatenates data and calls a callback with the result
License:             MIT
URL:                 https://github.com/maxogden/concat-stream
Source0:             https://github.com/maxogden/concat-stream/archive/v%{version}/concat-stream-%{version}.tar.gz
Patch0:              nodejs-concat-stream-typedarray.patch
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
ExclusiveArch:       %{ix86} x86_64 %{arm} noarch
BuildRequires:       nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:       npm(tape) npm(inherits) npm(readable-stream)
%endif
%description
%{summary}.

%prep
%autosetup -p 1 -n concat-stream-%{version}
%nodejs_fixdep readable-stream '^2.0.5'
%nodejs_fixdep -r typedarray

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/concat-stream
cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/concat-stream
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
/usr/bin/tape test/*.js test/server/*.js
%endif

%files
%doc readme.md
%license LICENSE
%{nodejs_sitelib}/concat-stream

%changelog
* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 1.6.0-1
- package init
